Package org.h2.command.ddl

# Class CreateDomain

java.lang.Object
org.h2.command.Prepared
org.h2.command.ddl.DefineCommand
org.h2.command.ddl.SchemaCommand
org.h2.command.ddl.CreateDomain

public class CreateDomain extends SchemaCommand
This class represents the statement CREATE DOMAIN

## Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`CreateDomain(SessionLocal session, Schema schema)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConstraintCommand(AlterDomainAddConstraint command)`
Add a constraint command.
`int`
`getType()`
Get the command type as defined in CommandInterface
`void`
`setComment(String comment)`
`void`
`setDataType(TypeInfo dataType)`
`void`
`setDefaultExpression(Expression defaultExpression)`
`void`
`setIfNotExists(boolean ifNotExists)`
`void`
`setOnUpdateExpression(Expression onUpdateExpression)`
`void`
`setParentDomain(Domain parentDomain)`
`void`
`setTypeName(String name)`
`final long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreateDomain

public CreateDomain(SessionLocal session, Schema schema)

## Method Details

### setTypeName

public void setTypeName(String name)

### setIfNotExists

public void setIfNotExists(boolean ifNotExists)

### setDataType

public void setDataType(TypeInfo dataType)

### setParentDomain

public void setParentDomain(Domain parentDomain)

### setDefaultExpression

public void setDefaultExpression(Expression defaultExpression)

### setOnUpdateExpression

public void setOnUpdateExpression(Expression onUpdateExpression)

### setComment

public void setComment(String comment)

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### addConstraintCommand

public void addConstraintCommand(AlterDomainAddConstraint command)
Add a constraint command.

Parameters:
  `command` - the command to add

### update

public final long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count